Subject: bug#18786: (error "Attempt to modify read-only object" (("\\.txz\\'" . tar-mode))) on adding mode

From: Boyan Penkov <[email-masked]>
Date: Tue, 21 Oct 2014 09:34:10 -0400

Hey folks,

I have a bunch of stuff like: 

    (nconc auto-mode-alist '(("\\.ctl" . scheme-mode))))

in my .emacs.  

When I launch emacs, the complaint is:

error: Attempt to modify read-only object, ((\.txz\' . tar-mode))

Clearing all the auto-mode-alist additions clears this error, by pulling them out of the .emacs.  Can anybody explain what is going on?

This has emerged after upgrading last night to 24.4 using both http://emacsformacosx.com/ and compiling for myself via homebrew.  I’m on Mac OS 10.10 Yosemite.

Please let me know how to help debug this.

Cheers!

--
Boyan Penkov
www.boyanpenkov.com